/*******************************************************************************
* File Name: Pins_12.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pins_12_H) /* Pins Pins_12_H */
#define CY_PINS_Pins_12_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pins_12_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Pins_12__PORT == 15 && ((Pins_12__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Pins_12_Write(uint8 value);
void    Pins_12_SetDriveMode(uint8 mode);
uint8   Pins_12_ReadDataReg(void);
uint8   Pins_12_Read(void);
void    Pins_12_SetInterruptMode(uint16 position, uint16 mode);
uint8   Pins_12_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Pins_12_SetDriveMode() function.
     *  @{
     */
        #define Pins_12_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Pins_12_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Pins_12_DM_RES_UP          PIN_DM_RES_UP
        #define Pins_12_DM_RES_DWN         PIN_DM_RES_DWN
        #define Pins_12_DM_OD_LO           PIN_DM_OD_LO
        #define Pins_12_DM_OD_HI           PIN_DM_OD_HI
        #define Pins_12_DM_STRONG          PIN_DM_STRONG
        #define Pins_12_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Pins_12_MASK               Pins_12__MASK
#define Pins_12_SHIFT              Pins_12__SHIFT
#define Pins_12_WIDTH              8u

/* Interrupt constants */
#if defined(Pins_12__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Pins_12_SetInterruptMode() function.
     *  @{
     */
        #define Pins_12_INTR_NONE      (uint16)(0x0000u)
        #define Pins_12_INTR_RISING    (uint16)(0x0001u)
        #define Pins_12_INTR_FALLING   (uint16)(0x0002u)
        #define Pins_12_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Pins_12_INTR_MASK      (0x01u) 
#endif /* (Pins_12__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pins_12_PS                     (* (reg8 *) Pins_12__PS)
/* Data Register */
#define Pins_12_DR                     (* (reg8 *) Pins_12__DR)
/* Port Number */
#define Pins_12_PRT_NUM                (* (reg8 *) Pins_12__PRT) 
/* Connect to Analog Globals */                                                  
#define Pins_12_AG                     (* (reg8 *) Pins_12__AG)                       
/* Analog MUX bux enable */
#define Pins_12_AMUX                   (* (reg8 *) Pins_12__AMUX) 
/* Bidirectional Enable */                                                        
#define Pins_12_BIE                    (* (reg8 *) Pins_12__BIE)
/* Bit-mask for Aliased Register Access */
#define Pins_12_BIT_MASK               (* (reg8 *) Pins_12__BIT_MASK)
/* Bypass Enable */
#define Pins_12_BYP                    (* (reg8 *) Pins_12__BYP)
/* Port wide control signals */                                                   
#define Pins_12_CTL                    (* (reg8 *) Pins_12__CTL)
/* Drive Modes */
#define Pins_12_DM0                    (* (reg8 *) Pins_12__DM0) 
#define Pins_12_DM1                    (* (reg8 *) Pins_12__DM1)
#define Pins_12_DM2                    (* (reg8 *) Pins_12__DM2) 
/* Input Buffer Disable Override */
#define Pins_12_INP_DIS                (* (reg8 *) Pins_12__INP_DIS)
/* LCD Common or Segment Drive */
#define Pins_12_LCD_COM_SEG            (* (reg8 *) Pins_12__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pins_12_LCD_EN                 (* (reg8 *) Pins_12__LCD_EN)
/* Slew Rate Control */
#define Pins_12_SLW                    (* (reg8 *) Pins_12__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pins_12_PRTDSI__CAPS_SEL       (* (reg8 *) Pins_12__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pins_12_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pins_12__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pins_12_PRTDSI__OE_SEL0        (* (reg8 *) Pins_12__PRTDSI__OE_SEL0) 
#define Pins_12_PRTDSI__OE_SEL1        (* (reg8 *) Pins_12__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pins_12_PRTDSI__OUT_SEL0       (* (reg8 *) Pins_12__PRTDSI__OUT_SEL0) 
#define Pins_12_PRTDSI__OUT_SEL1       (* (reg8 *) Pins_12__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pins_12_PRTDSI__SYNC_OUT       (* (reg8 *) Pins_12__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Pins_12__SIO_CFG)
    #define Pins_12_SIO_HYST_EN        (* (reg8 *) Pins_12__SIO_HYST_EN)
    #define Pins_12_SIO_REG_HIFREQ     (* (reg8 *) Pins_12__SIO_REG_HIFREQ)
    #define Pins_12_SIO_CFG            (* (reg8 *) Pins_12__SIO_CFG)
    #define Pins_12_SIO_DIFF           (* (reg8 *) Pins_12__SIO_DIFF)
#endif /* (Pins_12__SIO_CFG) */

/* Interrupt Registers */
#if defined(Pins_12__INTSTAT)
    #define Pins_12_INTSTAT            (* (reg8 *) Pins_12__INTSTAT)
    #define Pins_12_SNAP               (* (reg8 *) Pins_12__SNAP)
    
	#define Pins_12_0_INTTYPE_REG 		(* (reg8 *) Pins_12__0__INTTYPE)
	#define Pins_12_1_INTTYPE_REG 		(* (reg8 *) Pins_12__1__INTTYPE)
	#define Pins_12_2_INTTYPE_REG 		(* (reg8 *) Pins_12__2__INTTYPE)
	#define Pins_12_3_INTTYPE_REG 		(* (reg8 *) Pins_12__3__INTTYPE)
	#define Pins_12_4_INTTYPE_REG 		(* (reg8 *) Pins_12__4__INTTYPE)
	#define Pins_12_5_INTTYPE_REG 		(* (reg8 *) Pins_12__5__INTTYPE)
	#define Pins_12_6_INTTYPE_REG 		(* (reg8 *) Pins_12__6__INTTYPE)
	#define Pins_12_7_INTTYPE_REG 		(* (reg8 *) Pins_12__7__INTTYPE)
#endif /* (Pins_12__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Pins_12_H */


/* [] END OF FILE */
